View Issue Details

IDProjectCategoryView StatusLast Update
0004398unrealinstallingpublic2015-09-04 12:01
Reportercman351Assigned Tosyzop 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSopenbsd 5.7OS Version
Product Version3.2.10.5 
Target VersionFixed in Version3.4-beta4 
Summary0004398: compiling ircd
Descriptiongcc -I../include -I/home/ircd/Unreal3.2.10.5/extras/regexp/include -I/home/ircd/Unreal3.2.10.5/extras/c-ares/include -pipe -g -O2 -funsigned-char -fno-strict-aliasing -Wno-pointer-sign -Wl,-export-dynamic -fPIC -DPIC -shared -c m_quit.c
gcc: -export-dynamic: linker input file unused because linking not done
gcc -I../include -I/home/ircd/Unreal3.2.10.5/extras/regexp/include -I/home/ircd/Unreal3.2.10.5/extras/c-ares/include -pipe -g -O2 -funsigned-char -fno-strict-aliasing -Wno-pointer-sign -Wl,-export-dynamic -fPIC -DPIC -shared -c m_rakill.c
gcc: -export-dynamic: linker input file unused because linking not done
gcc -I../include -I/home/ircd/Unreal3.2.10.5/extras/regexp/include -I/home/ircd/Unreal3.2.10.5/extras/c-ares/include -pipe -g -O2 -funsigned-char -fno-strict-aliasing -Wno-pointer-sign -Wl,-export-dynamic -fPIC -DPIC -shared -c m_rping.c
m_rping.c:36:23: error: sys/timeb.h: No such file or directory
Makefile:148: recipe for target 'm_rping.o' failed
gmake[2]: *** [m_rping.o] Error 1
gmake[2]: Leaving directory '/home/ircd/Unreal3.2.10.5/src/modules'
Makefile:80: recipe for target 'mods' failed
gmake[1]: *** [mods] Error 2
gmake[1]: Leaving directory '/home/ircd/Unreal3.2.10.5/src'
Makefile:145: recipe for target 'build' failed
gmake: *** [build] Error 2
bash-4.3$
TagsNo tags attached.
3rd party modules

Activities

syzop

2015-08-30 09:21

administrator   ~0018656

A quick fix would be commenting out the line where it says:
#include <sys/timeb.h>
So change it to:
//#include <sys/timeb.h>

You may have to do this in multiple files (just recompile after each fix and see if you get a new error).

After doing that, can you compile UnrealIRCd succesfully? Let us know.

syzop

2015-09-04 12:01

administrator   ~0018675

I think this timeb.h issue is fixed now. Of course, I don't know if there are any other issues :)

https://github.com/unrealircd/unrealircd/commit/01244b1710c56d88aa98104a252a85b260a86893

commit 01244b1710c56d88aa98104a252a85b260a86893
Author: Bram Matthys <syzop@vulnscan.org>
Date: Fri Sep 4 11:59:53 2015 +0200

    Fix OpenBSD compile problem regarding sys/timeb.h. Reported by cman351 (0004398).
    More use of unrealircd.h.

Issue History

Date Modified Username Field Change
2015-08-24 19:12 cman351 New Issue
2015-08-30 09:21 syzop Note Added: 0018656
2015-08-30 09:55 syzop Assigned To => syzop
2015-08-30 09:55 syzop Status new => feedback
2015-09-04 12:01 syzop Note Added: 0018675
2015-09-04 12:01 syzop Status feedback => resolved
2015-09-04 12:01 syzop Fixed in Version => 3.4-beta4
2015-09-04 12:01 syzop Resolution open => fixed